Bug 107862 - PIVOT CHARTS: categories display broken when Display options in pivot table Data field dialog aren't default
Summary: PIVOT CHARTS: categories display broken when Display options in pivot table D...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.4.0.0.alpha1+
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Tomaz Vajngerl
URL:
Whiteboard: target:5.4.0 target:5.4.0.1
Keywords:
Depends on:
Blocks: Pivot-Chart
  Show dependency treegraph
 
Reported: 2017-05-15 09:26 UTC by bureautiquelibre
Modified: 2017-05-24 11:41 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
1st example with outline display set (18.27 KB, application/vnd.oasis.opendocument.spreadsheet)
2017-05-15 09:26 UTC, bureautiquelibre
Details
2nd example with outline display set + subtotals displayed (18.30 KB, application/vnd.oasis.opendocument.spreadsheet)
2017-05-15 09:27 UTC, bureautiquelibre
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bureautiquelibre 2017-05-15 09:26:49 UTC
Created attachment 133328 [details]
1st example with outline display set

Hi,

See example file provided.

Changing any of the following settings in the display options of a pivot data field leads to catagories not displayed properly in the graph:
- Setting Layout to Outline Layout (both options)
- Empty line after each item checked


Regards,
Eric Ficheux


Version: 5.4.0.0.alpha1+ (x64)
Build ID: 946049692eff89f0571983df8f0362399d2dd656
CPU threads: 4; OS: Windows 6.1; UI render: default; 
Locale: fr-FR (fr_FR); Calc: CL
Comment 1 bureautiquelibre 2017-05-15 09:27:32 UTC
Created attachment 133329 [details]
2nd example with outline display set + subtotals displayed
Comment 2 m.a.riosv 2017-05-15 22:29:36 UTC
Sorry, please can you detail what is the issue.

How it should be displayed in your opiniong?, do you know the last version working?
Comment 3 Commit Notification 2017-05-18 13:49:59 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2b675ddf550af524c1596c969dde1826865c8ad8

tdf#107862 ignore subtotals in outline mode and empty rows

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2017-05-18 13:50:34 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=54ad4ef4f1d50bb4e4ce08b3600157471af2f565

tdf#107862 test case with outline mode and subtotals

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2017-05-19 08:29:53 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7f26c8d40055cd665b3f27c014659e1317ac665a&h=libreoffice-5-4

tdf#107862 ignore subtotals in outline mode and empty rows

It will be available in 5.4.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2017-05-19 08:30:28 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=09aa8b483076aee791daa324b11c6c390a034d04&h=libreoffice-5-4

tdf#107862 test case with outline mode and subtotals

It will be available in 5.4.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Jacques Guilleron 2017-05-24 11:41:22 UTC
Works fine with 
LO 5.5.0.0.alpha0+ Build ID: 0e6297932252403883a6057feee488e4ee2bc360
CPU threads: 2; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2017-05-23_00:14:17
Locale: fr-FR (fr_FR); Calc: CL
Thanks  Commit Notification 2017-05-18 13:49:59 UTC

Thanks Tomaž and Eric.